import { Project } from "ts-morph";
import { Capability } from "../model/capability";
import { ConfigurationResource } from "../infrastructure/resource/configuration-resource";
export declare class CapabilityService {
    private project;
    private reflectionService;
    constructor(project: Project);
    scan(configurationResource: ConfigurationResource | null): Capability[];
    private scanCapabilitiesBasedOnPackageJson;
    private scanCapabilitiesBasedOnDecorators;
    private getCapabilityFromDecorator;
    private getCapabilitiesFromDecorator;
}
