# Installation

## Dependency

```
"devDependencies": {
  "@contextmap/typescript-compiletime": "VERSION"
}
```

## Configuration

Add the following section to package.json:
```
"contextmap": {
  "key": "PLACE_KEY_HERE"
}
```

## Use

Add the following line to scripts in package.json.

The command to run the compile-time scan is "`npm run contextmap:scan`".
```
"scripts": {
  "contextmap:scan": "node node_modules/@contextmap/typescript-compiletime/cli.js"
}
```

The command to document deployments is "`npm run contextmap:deployment -- --version=REPLACE --environment=REPLACE`".
```
"scripts": {
  "contextmap:deployment": "node node_modules/@contextmap/typescript-compiletime/deployment.js"
}
```

